
using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.FO
{
    /// <summary>
    /// 班前会议记录与会人员表
    /// </summary>
    [Description("班前会议记录与会人员表")]
    public class T_FO_PRE_SHIFT_MEETING_RECORD_USER : MesEntityBase
    {
        [Description("班前会议主表ID")]
        [DataFieldForeignKey("Nav_PreShiftMeetingRecord", "Nav_Users")]

        public Guid PRE_SHIFT_MEETING_RECORD_ID { get; set; }
        [Description("导航属性：记录")]
        public virtual T_FO_PRE_SHIFT_MEETING_RECORD Nav_PreShiftMeetingRecord { get; set; }

        [Description("人员ID")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_User")]
        public Guid USER_ID { get; set; }

        [Description("导航属性：人员")]
        public T_FM_USER Nav_User { get; set; }

        [Description("实际部门岗位")]
        [DataFieldForeignKey("Nav_RealDepartmentPost")]

        public Guid? REAL_DEPARTMENT_POST_ID { get; set; }
        [Description("导航:实际部门岗位")]
        public virtual T_FM_USER_POST Nav_RealDepartmentPost { get; set; }

        [Description("处理状态")]
        [EnumName("FOUserShiftStatusEnum")]
        public int DEAL_STATUS { get; set; }

       

    }
}
